apt-get la actualización: The following packages have been kept haz


Como administrador de Debian y respectivamente Ubuntu a sistemas sucede una y otra vez que se da en una actualización de sistema y de software con el mensaje siguiente: „The following packages have been kept back: …“ Yo quiere aclararos aquí brevemente el problema + la solución

El problema:

Sabemos todos como con aire de importancia debe ser sostenido nuestros sistemas en la posición actual y dar una y otra vez actualizaciones de software actuales. Bajo Debian y Ubuntu funciona con la administración de paquetes apt-get bastante simplemente y muy cómodamente. En efecto, esto puede clavar también a veces pocos cómo en el caso siguiente:
apt-get upgrade
Reading package lists… Done
Building dependency tree
Reading state information… Done
The following packages have been kept back:
bind9-host dnsutils eject grub libapache2-mod-python librpcsecgss3 libsasl2-2 libsemanage1 libx11-6 linux-image-2.6-686 mailx netcat nfs-common pciutils php5-imagick policycoreutils
python python-minimal python-semanage python2.4 python2.4-minimal reportbug ttf-dejavu
0 upgraded, 0 newly installed, 0 to remove and 23 not upgraded.
El mensaje "The following packages have been kept back" sugiere que los pactos eran detenidos y hay más nuevas versiones de los paquetes representados que no pueden ser instaladas sin embargo de una causa determinada. (no dependencias realizadas o cambiadas y respectivamente nuevas)

La solución:

apt-get dist-upgrade -u
La función la dist actualización lleva a cabo una actualización llena del Debian sistema operativo y deshace debidamente todas las nuevas dependencias.
Estima: Alrededor de la otra empresa todos vuestros servicios a gewährleiten, debíais ojear en todo caso la lista si paquetes importantes no irgenwelche son quitados